/**
 * 抽样计划表相关
 */
import http from '../http'
import httpJson from '../httpJson'

export default {
    page: data => http.post('/drs/v1/sampling_place/page', data).then(res => res),
    pageApp: data => http.post('/drs/v1/sampling_place/page_app', data).then(res => res),
    edit: data => http.put('/drs/v1/sampling_place/' + data.id, data.obj).then(res => res),
    deleteByIds:ids=>http.delete('/drs/v1/sampling_place/?ids=' + ids).then(res=>res),
    listPlaces: data => http.post('/drs/v1/sampling_place/list_places', data).then(res => res),
    addMulti: data => http.put('/drs/v1/sampling_place/update_multi_selected', data).then(res => res),
    savePlaces:data=>httpJson.post('/drs/v1/sampling_place/savePlaces',JSON.stringify(data)).then(res=>res),
}
